# Sales Force Commerce Cloud Training Course
Course Material can be found here [Confluence Page](https://confluence.ontrq.com/display/SA/SFCC+Engineer+Training)

## Topics Covered
1. Material in this guide
1. Introductory Material
1. Beginner Gochas
1. Get an On-Demand Sandbox setup
1. Setting up your Sandbox
1. Import a Demo Site
1. Configure Site Settings for development
1. Overview: Set up VSCode and Local environment
1. Download and Install Visual Studio Code (VS Code)
1. Install Prophet Extension
1. Download or Clone the SFRA storefront code from Github
1. Generate access keys in business manager to upload to allow code upload
1. Browse around the prophet debugger extension tab
1. Compile CSS and JS for storefront website
1. Setup Prophet Code Debugger and Breakpoints
1. Storefront Debug Tools
1. Cartridges and Activating Code Versions
1. Create a New Code Version
1. Create your first cartridge
1. Modify the Cartridge Path
1. Plugin Cartridges
1. Create your First Controller
1. Navigate to a new Route
1. Create another Controller
1. Extend a Controller
1. Customizing Existing Pages - Home Page
1. Middleware Scripts and Chaining
1. Middleware Chaining
1. Pages and Templates - Demo Page
1. Extending a Model
1. Using a decorator to extend a model
1. ISML Templates
1. ISML Template Includes
1. ISML Local Includes
1. ISML Loops
1. ISML Remote Include
1. ISML Debug and extending existing templates
1. Localization using resource bundles
1. Enable Localizations in Business Manager
1. Introduction to Content Slots
1. Create a content slot in a template
1. Setup a Content slot in business manager
1. The Page Designer
1. Create a new page in page designer
1. Layout a new page in page designer
1. Preview your new page, using the page designer previewer
1. Create a route/controller to render your new page designer page
1. Create a custom component for page designer
1. Use and Preview the Feedback Custom Page Designer Component
1. Page Caching
1. Define a Custom Object Type
1. Create a custom attribute group
1. Forms Framework
1. Transactions in a more depth
1. Enable Custom Logging
1. Integrate custom logging
1. View Custom Logs
1. Extend a system object and capture custom data
1. Notification Email - Using a custom hook
1. Making API calls with OCAPI - Open Commerce API
1. Uploading a Product Catalog XML file
1. Create a Job to Import pants.xml
1. Tracking performance of storefront
1. The Pipeline Profiler
1. The Code Profiler
1. Useful Global Variables
1. Acronyms 
1. Reference

